Bug 179816 - BuildRequires dbus-devel needs >= 0.6
BuildRequires dbus-devel needs >= 0.6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-03 00:11 EST by Kenneth Porter
Modified: 2013-04-30 19:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 06:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to spec to add needed version (1.04 KB, patch)
2006-02-03 00:11 EST, Kenneth Porter
no flags Details | Diff
Patch to spec file (1.55 KB, patch)
2006-02-03 00:46 EST, Kenneth Porter
no flags Details | Diff
Patch to patch16 to fix context (594 bytes, patch)
2006-02-03 00:48 EST, Kenneth Porter
no flags Details | Diff

  None (edit)
Description Kenneth Porter 2006-02-03 00:11:35 EST
Attempting to rebuild the latest devel package on FC2 fails when dbus symbols
are not found. The BuildRequires should specify dbus-devel >= 0.6 to match the
changelog comment. Patch attached.

(I note that the package is set up to build without dbus support, so I'll try
that next.)
Comment 1 Kenneth Porter 2006-02-03 00:11:35 EST
Created attachment 124085 [details]
Patch to spec to add needed version
Comment 2 Kenneth Porter 2006-02-03 00:45:27 EST
New patch to allow building with dbus support disabled. An additional patch to
follow to the redhat_doc patch16.
Comment 3 Kenneth Porter 2006-02-03 00:46:51 EST
Created attachment 124091 [details]
Patch to spec file

Specifies version of dbus-devel required.
Disables dbus patches when building without dbus support.
Comment 4 Kenneth Porter 2006-02-03 00:48:51 EST
Created attachment 124092 [details]
Patch to patch16 to fix context

Fixes context for redhat_doc patch, used when building without dbus support.
Comment 5 Jason Vas Dias 2006-02-08 15:04:10 EST
This bug is now fixed with bind-9.3.2-4, now in tomorrow's rawhide; it now
builds OK both without D-BUS at all, and with D-BUS versions less than 0.6 .
There is also the SRPM for bind-9.3.2-1_EL4, which builds with D-BUS disabled
by default, and for which the redhat-doc patch was also regenerated, available
from: http://people.redhat.com/~jvdias/bind/RHEL-4/9.3.2-1_EL4/SRPMS 
Comment 6 Fedora Update System 2006-03-07 23:43:23 EST
From User-Agent: XML-RPC

bind-9.3.1-16_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 7 Fedora Update System 2006-03-21 12:57:04 EST
bind-9.3.1-18.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 8 Adam Tkac 2007-05-30 06:02:19 EDT
Looks like fixed. If still exists, please reopen.

Regards, Adam

Note You need to log in before you can comment on or make changes to this bug.